package cn.com.ctop.toutiao.modules.agent.mapper;

import cn.com.ctop.toutiao.modules.agent.entity.TransactionDay;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CtopAccountTransactionDayMapper {

    List<String> getAdvertiserIdByDate(@Param("date") String date, @Param("advertiserId") String advertiserId);
    void deleteAccountTransactionById( @Param("id") String id);

    void saveAccountTransactionDay(@Param("list") List<TransactionDay> list, @Param("date") String date);
    void replaceAccountTransactionDay(@Param("list") List<TransactionDay> list);

}
